Published by Aditya Agarwal on and last updated on

Google is asking users to immediately update Google Chrome, to…

Google is asking users to immediately update Google Chrome, to prevent a major security vulnerability that is patched in latest version of Google Chrome

72.0.3626.121

or later is the version no. of that you need to protect yourself from any major cyber attack. According to Google it is a really serious flaw and

Google says that it is aware of an exploit for CVE-2019-5786 that exists in the wild. Justin Schuh

The major security bug was reported by top security analyst on February 27th. Even though it has been fixed, it is still unclear that how many people may still have the effected version.

It is really important because even a small percentage of users using that version would account to a large portion of population, this is because Google Chrome is one of the most popular browsers in the world.

Recently #Apple also faced a major vulnerability in there #FaceTime app, allowing people to hear voices of another person without him accepting the call.

The information about how the vulnerability works and how users could be impacted is unclear and #Google would not reveal it till majority of people have got the fix.

Aditya Agarwal
"The People Who Love The Journey, Are The Ones That Reach The Most Beautiful Destinations"

Aditya Agarwal

Aditya Agarwal

"The People Who Love The Journey, Are The Ones That Reach The Most Beautiful Destinations"

Leave a Reply